<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (21) on Mon May 27 19:45:04 CEST 2024 -->
<title>G-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-27">
<meta name="description" content="index: G">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><a href="../com/projetdev/controleur/GestionBoutons.html" class="type-name-link" title="class in com.projetdev.controleur">GestionBoutons</a> - Class in <a href="../com/projetdev/controleur/package-summary.html">com.projetdev.controleur</a></dt>
<dd>
<div class="block">La classe GestionBoutons est une classe qui gère les boutons de contrôle pour les formes graphiques.</div>
</dd>
<dt><a href="../com/projetdev/controleur/GestionBoutons.html#%3Cinit%3E()" class="member-name-link">GestionBoutons()</a> - Constructor for class com.projetdev.controleur.<a href="../com/projetdev/controleur/GestionBoutons.html" title="class in com.projetdev.controleur">GestionBoutons</a></dt>
<dd>
<div class="block">Constructeur de la classe GestionBoutons.</div>
</dd>
<dt><a href="../com/projetdev/controleur/GestionCouleur.html" class="type-name-link" title="class in com.projetdev.controleur">GestionCouleur</a> - Class in <a href="../com/projetdev/controleur/package-summary.html">com.projetdev.controleur</a></dt>
<dd>
<div class="block">La classe GestionCouleur est une classe qui gère la couleur utilisée dans l'application.</div>
</dd>
<dt><a href="../com/projetdev/controleur/GestionCouleur.html#%3Cinit%3E(java.awt.Color,com.projetdev.vue.Fenetre)" class="member-name-link">GestionCouleur(Color, Fenetre)</a> - Constructor for class com.projetdev.controleur.<a href="../com/projetdev/controleur/GestionCouleur.html" title="class in com.projetdev.controleur">GestionCouleur</a></dt>
<dd>
<div class="block">Constructeur de la gestion de couleur.</div>
</dd>
<dt><a href="../com/projetdev/controleur/GestionMenu.html" class="type-name-link" title="class in com.projetdev.controleur">GestionMenu</a> - Class in <a href="../com/projetdev/controleur/package-summary.html">com.projetdev.controleur</a></dt>
<dd>
<div class="block">La classe GestionMenu est une classe qui gère les actions liées aux éléments de menu.</div>
</dd>
<dt><a href="../com/projetdev/controleur/GestionMenu.html#%3Cinit%3E(com.projetdev.vue.PanneauBoutons)" class="member-name-link">GestionMenu(PanneauBoutons)</a> - Constructor for class com.projetdev.controleur.<a href="../com/projetdev/controleur/GestionMenu.html" title="class in com.projetdev.controleur">GestionMenu</a></dt>
<dd>
<div class="block">Constructeur de la classe GestionMenu.</div>
</dd>
<dt><a href="../com/projetdev/controleur/GestionSouris.html" class="type-name-link" title="class in com.projetdev.controleur">GestionSouris</a> - Class in <a href="../com/projetdev/controleur/package-summary.html">com.projetdev.controleur</a></dt>
<dd>
<div class="block">La classe GestionSourisest une classe qui gère les interactions de la souris pour le dessin des formes.</div>
</dd>
<dt><a href="../com/projetdev/controleur/GestionSouris.html#%3Cinit%3E()" class="member-name-link">GestionSouris()</a> - Constructor for class com.projetdev.controleur.<a href="../com/projetdev/controleur/GestionSouris.html" title="class in com.projetdev.controleur">GestionSouris</a></dt>
<dd>
<div class="block">Constructeur par défaut de la gestion de la souris.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauBoutons.html#getControleurCouleur()" class="member-name-link">getControleurCouleur()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauBoutons.html" title="class in com.projetdev.vue">PanneauBoutons</a></dt>
<dd>
<div class="block">Méthode pour obtenir le contrôleur de couleur.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauDessin.html#getControleurSouris()" class="member-name-link">getControleurSouris()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></dt>
<dd>
<div class="block">Obtient le gestionnaire de souris associé au panneau.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauDessin.html#getCouleurActuelle()" class="member-name-link">getCouleurActuelle()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></dt>
<dd>
<div class="block">Obtient la couleur actuelle</div>
</dd>
<dt><a href="../com/projetdev/controleur/GestionCouleur.html#getCouleurChoisie()" class="member-name-link">getCouleurChoisie()</a> - Method in class com.projetdev.controleur.<a href="../com/projetdev/controleur/GestionCouleur.html" title="class in com.projetdev.controleur">GestionCouleur</a></dt>
<dd>
<div class="block">Méthode pour obtenir la couleur choisie par l'utilisateur.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauBoutons.html#getEpaisseurActuelle()" class="member-name-link">getEpaisseurActuelle()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauBoutons.html" title="class in com.projetdev.vue">PanneauBoutons</a></dt>
<dd>
<div class="block">Obtient l'épaisseur actuelle.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauBoutons.html#getFenetre()" class="member-name-link">getFenetre()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauBoutons.html" title="class in com.projetdev.vue">PanneauBoutons</a></dt>
<dd>
<div class="block">Méthode pour obtenir la fenêtre principale.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauDessin.html#getFenetre()" class="member-name-link">getFenetre()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></dt>
<dd>
<div class="block">Obtient la fenêtre parente du panneau.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauBoutons.html#getLargeur()" class="member-name-link">getLargeur()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauBoutons.html" title="class in com.projetdev.vue">PanneauBoutons</a></dt>
<dd>
<div class="block">Méthode pour obtenir la largeur du trait de dessin.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauDessin.html#getListeForme()" class="member-name-link">getListeForme()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></dt>
<dd>
<div class="block">Obtient la liste des formes dessinées sur le panneau.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauDessin.html#getListeFormeBackUp()" class="member-name-link">getListeFormeBackUp()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></dt>
<dd>
<div class="block">Obtient la liste de sauvegarde des formes dessinées sur le panneau.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauDessin.html#getListePrevisualisation()" class="member-name-link">getListePrevisualisation()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></dt>
<dd>
<div class="block">Obtient la liste des formes en prévisualisation.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauDessin.html#getNouvelleForme()" class="member-name-link">getNouvelleForme()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></dt>
<dd>
<div class="block">Obtient la dernière forme ajoutée au panneau.</div>
</dd>
<dt><a href="../com/projetdev/vue/Fenetre.html#getPanneauBoutons()" class="member-name-link">getPanneauBoutons()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/Fenetre.html" title="class in com.projetdev.vue">Fenetre</a></dt>
<dd>
<div class="block">Méthode pour obtenir le panneau de boutons de la fenêtre.</div>
</dd>
<dt><a href="../com/projetdev/vue/Fenetre.html#getPanneauDessin()" class="member-name-link">getPanneauDessin()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/Fenetre.html" title="class in com.projetdev.vue">Fenetre</a></dt>
<dd>
<div class="block">Méthode pour obtenir le panneau de dessin de la fenêtre.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauBoutons.html#getStatePlein()" class="member-name-link">getStatePlein()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauBoutons.html" title="class in com.projetdev.vue">PanneauBoutons</a></dt>
<dd>
<div class="block">Méthode pour obtenir l'état de la checkbox de dessin plein.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
